Welcome to EDAboard.com

Welcome to our site! EDAboard.com is an international Electronic Discussion Forum focused on EDA software, circuits, schematics, books, theory, papers, asic, pld, 8051, DSP, Network, RF, Analog Design, PCB, Service Manuals... and a whole lot more! To participate you need to register. Registration is free. Click here to register now.

Register Log in

help on SPW 4.8.1 on linux

Status
Not open for further replies.

nanako

Member level 5
Joined
Jul 20, 2001
Messages
91
Helped
0
Reputation
0
Reaction score
0
Trophy points
1,286
Activity points
832
spw linux

i installed spw 4.8.1 on linux rh7.2 and i couldnt find the executable file "spw" in the dir $SPW_HOME/tools/bin

can some1 tell me what are the features for SPW also.


thanks
 

cquptid

Junior Member level 1
Joined
Sep 12, 2002
Messages
16
Helped
0
Reputation
0
Reaction score
0
Trophy points
1,281
Activity points
30
redhat 4.8 install openmotif

"spw" is a alias for SPW_HOME/caesys/nui/bin/mfileman.And you should execute the SPW_HOME/caesys/nui/bin/mfileman.If you could open "mfileman" ,please tell me how you install.
 

nanako

Member level 5
Joined
Jul 20, 2001
Messages
91
Helped
0
Reputation
0
Reaction score
0
Trophy points
1,286
Activity points
832
spw linux

cquptid said:
"spw" is a alias for SPW_HOME/caesys/nui/bin/mfileman.And you should execute the SPW_HOME/caesys/nui/bin/mfileman.If you could open "mfileman" ,please tell me how you install.
the spw problem is solved but i now got an error when i run "spw"

the error is

"error while loading shared libraries: libMrm.so.3: cannot open shared object file: no such file or directory"

any idea ???
 

nanako

Member level 5
Joined
Jul 20, 2001
Messages
91
Helped
0
Reputation
0
Reaction score
0
Trophy points
1,286
Activity points
832
spw mfileman

eman said:
search for openmotif package and download openmotif-xxxxxx.rpm(e.g http://www.hklpg.org/RPM/rawhide/1.0/i386/RedHat/RPMS/openmotif-2.2.2-12.1.i386.html), after installing this package the problem is solved! Cadence installation docs should tell the user SPW needs this package.

eman
ok i managed to get the package openmotif-2.2.2-5.rpm and after i do a rpm -i openmotif-2.2.2-5.rpm, the following error appears

error: failed dependencies:
lesstif <= 0.92.32-6 conflicts with openmotif-2.2.2-5

any idea how to solve it ???
 

nanako

Member level 5
Joined
Jul 20, 2001
Messages
91
Helped
0
Reputation
0
Reaction score
0
Trophy points
1,286
Activity points
832
btw anyone can tell me the feature list of spw. thanks a lot
 

eman

Member level 1
Joined
Jun 23, 2001
Messages
33
Helped
0
Reputation
0
Reaction score
0
Trophy points
1,286
Activity points
165
then please try other versions of openmotif package.
 

nanako

Member level 5
Joined
Jul 20, 2001
Messages
91
Helped
0
Reputation
0
Reaction score
0
Trophy points
1,286
Activity points
832
eman said:
then please try other versions of openmotif package.
other newer version of the openmotif i can get is all xxxxx.src.rpm. i not very sure how to install the src rpm. can teach me.
 

patrickli

Member level 1
Joined
Mar 4, 2002
Messages
35
Helped
1
Reputation
2
Reaction score
1
Trophy points
1,288
Activity points
199
I met with the same problem? How to settle it. Can anyone tell me ? Thanks!
 

ASIC

Full Member level 3
Joined
May 18, 2001
Messages
164
Helped
2
Reputation
4
Reaction score
1
Trophy points
1,298
Activity points
1,205
I'm getting seriously pissed with Redhat. All the different versions have different non-compatible libraries.

How to get a complete flow without having to select back and forth between different versions during boot?

It is very disruptive to have to do simulation in one version of Linux, then reboot into another version of the same OS to do P&R, then re-boot to another version of the same OS to do extraction and LVS, and so on and so forth.

Well... just my 2 cent's worth.


ASIC
 

elcielo

Full Member level 6
Joined
Jun 13, 2002
Messages
383
Helped
15
Reputation
30
Reaction score
8
Trophy points
1,298
Activity points
3,250
where is it?
plz help me.
 

zhustudio

Advanced Member level 4
Joined
Jul 15, 2002
Messages
102
Helped
8
Reputation
16
Reaction score
2
Trophy points
1,298
Location
China
Activity points
1,049
i met the same problem, and i view the RH7.2 rpm package, it is different with RH7.3, in RH7.3 there is default openmotif package. so i will try spw on RH7.3
 

ffort2121

Newbie level 3
Joined
Nov 3, 2003
Messages
3
Helped
0
Reputation
0
Reaction score
0
Trophy points
1,281
Activity points
20
Can you please pm me if you have SPW software?
 

ipcore

Member level 2
Joined
Aug 4, 2001
Messages
42
Helped
0
Reputation
0
Reaction score
0
Trophy points
1,286
Activity points
200
you must unstall the lesstif then install openmotif

use csh
source /site_data/config/spw.cshrc

spw
 

snowjune

Newbie level 2
Joined
Dec 25, 2003
Messages
2
Helped
0
Reputation
0
Reaction score
0
Trophy points
1,281
Activity points
23
Glad to see everyone!

Oh, you should install all the required rpm packages , remember need not too new. Just above the required version is enough. Run cdsconf under tools.ln386(I don't remenber very exactlly), you could acquired all the required rpm packages and their version.

" lesstif " does the same work as openmotif, but openmotif is required, although openmotif may be not as good as lessif.

Don't try on RH7.3, it's just waste time unless you have 4.8.2.

Enjoying it!
 

Status
Not open for further replies.
Toggle Sidebar

Part and Inventory Search

Welcome to EDABoard.com

Sponsor

Top